@testset "FACTDataREader FACT_rail test" begin
    df1 = get_geo_objects("no_counties")
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
    )
    # TEST of blocks
    df_counties = get_rail_stations_lines("eu_rail", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 13
    @test size(df_counties, 2) == 3
end
